Issue129

Title CRASH: TypeError: not all arguments converted during string formatting
Priority bug Status resolved
Superseder Nosy List bosmart, kayhayen
Assigned To kayhayen Keywords compiler_crash

Created on 2014-04-07.12:53:30 by bosmart, last changed by kayhayen.

Files
File name Uploaded Type Edit Remove
nuitka_crash.txt bosmart, 2014-04-07.12:53:30 text/plain
Messages
msg687 (view) Author: kayhayen Date: 2014-06-23.07:39:39
Just released as part of 0.5.2, which will now be robust in this regard.
msg656 (view) Author: kayhayen Date: 2014-05-17.06:49:17
The latest pre-release now checks if the download succeeds, and recovers from
broken zip downloads automatically. With a release this will be considered resolved.
msg588 (view) Author: kayhayen Date: 2014-04-07.18:51:17
The commit is in "feature/cish_code_generation", as I have done some other 
cleanups to this code already. I don't consider it to be worth a hotfix.

I hope the instructions provided are sufficient. Let me know if they are not.
msg587 (view) Author: kayhayen Date: 2014-04-07.18:19:27
Can you check that in your APPDATA/nuitka there is this:

http://dependencywalker.com/depends22_x86.zip

Nuitka downloads this, and apparently didn't notice a network error, or some 
form of corruption. Once it is there, it is not going to be updated anymore, and 
will remain wrong.

I am going to fix Nuitka so that it automatically removes the Zip file should 
the error occur, because now you won't automatically recover anymore, nor did 
you get a proper error message, although I don't understand why you have two 
tracebacks.

Then there is the wrong logging message, which doesn't have any negatic impact 
though. Will be fixed as well.

As for the 40h compilation time, that is of course severely inacceptable. The 
reason is the huge "__constants.cpp" that you create when compiling this many 
modules.

If you follow the mailing list, you will come across "Cish", which will 
ultimately result in improvements here, making single use constants in the 
module that uses them.

Currently, each and every doc string, function name, etc. is created in a single 
C++ unit. With Cish it will become possible to reduce that and create constants 
where they are used, allowing to leverage multi core compilation way better.
msg586 (view) Author: bosmart Date: 2014-04-07.12:54:43
c:\Python27\Scripts\nuitka --standalone --icon=icon.ico run.py --output-
dir=C:\temp\dist-nuitka --remove-output --improved --show-modules --show-scons
msg585 (view) Author: bosmart Date: 2014-04-07.12:53:30
Windows 7 x64, Python 2.7.6 x64 - after ~40 hours of building the executable, Nuitka exits with the 
following message:

Traceback (most recent call last):
  File "c:\Python27\lib\logging\__init__.py", line 851, in emit
    msg = self.format(record)
  File "c:\Python27\lib\logging\__init__.py", line 724, in format
    return fmt.format(record)
  File "c:\Python27\lib\logging\__init__.py", line 464, in format
    record.message = record.getMessage()
  File "c:\Python27\lib\logging\__init__.py", line 328, in getMessage
    msg = msg % self.args
TypeError: not all arguments converted during string formatting
Logged from file Standalone.py, line 87
Traceback (most recent call last):
  File "c:\Python27\Scripts\nuitka", line 138, in <module>
    MainControl.main()
  File "c:\Python27\Lib\site-packages\nuitka\MainControl.py", line 711, in main
    for early_dll in detectUsedDLLs(standalone_entry_points):
  File "c:\Python27\Lib\site-packages\nuitka\freezer\Standalone.py", line 565, in detectUsedDLLs
    package_name    = package_name
  File "c:\Python27\Lib\site-packages\nuitka\freezer\Standalone.py", line 433, in detectBinaryDLLs
    depends_exe = getDependsExePath()
  File "c:\Python27\Lib\site-packages\nuitka\freezer\Standalone.py", line 90, in getDependsExePath
    depends_zip = zipfile.ZipFile(nuitka_depends_zip)
  File "c:\Python27\lib\zipfile.py", line 766, in __init__
    self._RealGetContents()
  File "c:\Python27\lib\zipfile.py", line 807, in _RealGetContents
    raise BadZipfile, "File is not a zip file"
zipfile.BadZipfile: File is not a zip file
History
Date User Action Args
2014-06-23 07:39:39kayhayensetstatus: testing -> resolved
messages: + msg687
2014-05-17 06:49:17kayhayensetmessages: + msg656
2014-04-07 18:51:17kayhayensetstatus: chatting -> testing
messages: + msg588
2014-04-07 18:19:55kayhayensetassignedto: kayhayen
nosy: + kayhayen
2014-04-07 18:19:27kayhayensetmessages: + msg587
keyword: + compiler_crash
2014-04-07 12:54:43bosmartsetstatus: unread -> chatting
messages: + msg586
2014-04-07 12:53:58bosmartsettitle: TypeError: not all arguments converted during string formatting -> CRASH: TypeError: not all arguments converted during string formatting
2014-04-07 12:53:30bosmartcreate